import { type ComponentProps } from 'react'

import { rootStyles, type RootStylesProps } from './Badge.styles'

type BadgeProps = ComponentProps<'span'> & RootStylesProps

function Badge({
	variant,
	size,
	pill,
	icon,
	color,
	className,
	...props
}: BadgeProps) {
	return (
		<span
			className={rootStyles({
				variant,
				size,
				pill,
				icon,
				color,
				className
			})}
			{...props}
		/>
	)
}

export { Badge }
